27 lines
855 B
Diff
27 lines
855 B
Diff
|
diff --git a/tests/pcre-count b/tests/pcre-count
|
||
|
--- a/tests/pcre-count
|
||
|
+++ b/tests/pcre-count
|
||
|
@@ -13,11 +13,17 @@ require_pcre_
|
||
|
|
||
|
fail=0
|
||
|
|
||
|
-printf 'a\n%032768d\nb\x0\n%032768d\na\n' 0 0 > in
|
||
|
+printf 'a\n%032768d\nb\0\n%032768d\na\n' 0 0 > in || framework_failure_
|
||
|
|
||
|
-LC_ALL=C grep -P 'a' in | wc -l > exp
|
||
|
+# grep will discover that the input is a binary file sooner if the
|
||
|
+# page size is larger, so allow for either possible output.
|
||
|
+printf 'a\nBinary file in matches\n' >exp1a || framework_failure_
|
||
|
+printf 'Binary file in matches\n' >exp1b || framework_failure_
|
||
|
+LC_ALL=C grep -P 'a' in >out || fail=1
|
||
|
+compare exp1a out || compare exp1b out || fail=1
|
||
|
|
||
|
-LC_ALL=C grep -Pc 'a' in > out || fail=1
|
||
|
-compare exp out || fail=1
|
||
|
+printf '2\n' >exp2 || framework_failure_
|
||
|
+LC_ALL=C grep -Pc 'a' in >out || fail=1
|
||
|
+compare exp2 out || fail=1
|
||
|
|
||
|
Exit $fail
|
||
|
|